<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$sql_tramos = "";
$sql = "";
$historia = "";
$id = 0;
$tipo = "PSINGULAR";


if( $_REQUEST["sql_tramos"] ) {
   $sql_tramos = $_REQUEST['sql_tramos'];
}

if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}

$cadena = explode(";",$sql_tramos);
if (is_array($cadena)) {
   for ($x = 0; $x < count($cadena); $x++) {
      if(strlen($cadena[$x]) > 2){
      $resultado = mysqli_query($con,$cadena[$x]);
      }
   }
} 

$resultado = mysqli_query($con,$sql);
   

$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

   
if($id > 0 && $historia != '' && $tipo != '')
{
   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se modifica geometria de punto singular','GEOMETRIA MODIFICADA','" . $fecha . "','" . $usuario . "','PSINGULAR')";
   $resultado = mysqli_query($con,$sql);
}

mysqli_close($con);
$resultado = array();
echo json_encode($resultado);
?>